# content of tests/conftest.py
import pytest
import os, shutil

BASEDIR = os.path.dirname(__file__)

@pytest.fixture()
def set_up(tmpdir):
    """Create tmpdir, copy arg_file over"""
    tmpdir.chdir()
    shutil.copyfile(os.path.join(BASEDIR, 'arg_file.txt'), 
	                os.path.join(os.getcwd(), 'arg_file.txt'))
    print('\nset_up: In directory ' + os.getcwd())
