# content of tests/test_in_scriptdir.py
import subprocess, shlex, os
import pytest

BASEDIR = os.path.dirname(__file__) #this points to the tests/ directory

@pytest.mark.usefixtures('set_up')
class TestInScriptdir:
    def test_1(self):
        """Execute script in script dir where my_script.py resides"""
        # remember path to tmpdir
        temporary = os.getcwd()
        # change to script directory
        os.chdir(os.path.join(BASEDIR,'..'))
        print('Running in directory ' + os.getcwd())
        # run script
        command = './my_script.py ' + os.path.join(temporary, 'arg_file.txt')
        print('Command: ' + command)
        subprocess.call(shlex.split(command),
						stderr=subprocess.STDOUT, 
						cwd=os.getcwd())
