# content of test_in_tmpdir.py
import subprocess, shlex, os
import pytest

BASEDIR = os.path.dirname(__file__) #this points to the tests/ directory

@pytest.mark.usefixtures('set_up')
class TestInTempdir:
    def test_1(self):
        """Execute script in tmpdir where arg_file.txt resides"""
        print('Running in directory ' + os.getcwd())
        # run script
        command = os.path.abspath(os.path.join(BASEDIR, '..', 'my_script.py')) + ' arg_file.txt'
        print('Command: ' + command)
        output = subprocess.call(shlex.split(command),
								stderr=subprocess.STDOUT, 
								cwd=os.getcwd())

